package core

// Implementation: github.com/lucasdataproyects/devfactory/core

// Pipe3 compone tres funciones de izquierda a derecha.
func Pipe3[A, B, C, D any](f1 func(A) B, f2 func(B) C, f3 func(C) D) func(A) D {
	// stub
	return nil
}
